From cdf2d35a25574a7ee09f391aede4c4fec01e4613 Mon Sep 17 00:00:00 2001
From: Ashutosh Narkar <anarkar4387@gmail.com>
Date: Thu, 7 Sep 2023 14:33:50 -0700
Subject: [PATCH] golang: Update golang to 1.21.1

This version includes security fixes which address the following CVEs:

* CVE-2023-39318
* CVE-2023-39319
* CVE-2023-39320
* CVE-2023-39321
* CVE-2023-39322

Also changes to internal/prometheus/TestJSONSerialization: add new metric

Signed-off-by: Ashutosh Narkar <anarkar4387@gmail.com>
---
 .go-version                            | 2 +-
 internal/prometheus/prometheus_test.go | 1 +
 2 files changed, 2 insertions(+), 1 deletion(-)

diff --git a/.go-version b/.go-version
index d2ab029d32..2844977405 100644
--- a/.go-version
+++ b/.go-version
@@ -1 +1 @@
-1.21
+1.21.1
diff --git a/internal/prometheus/prometheus_test.go b/internal/prometheus/prometheus_test.go
index 0d871d176e..bc9d0a934a 100644
--- a/internal/prometheus/prometheus_test.go
+++ b/internal/prometheus/prometheus_test.go
@@ -136,6 +136,7 @@ func TestJSONSerialization(t *testing.T) {
 			"go_godebug_non_default_behavior_x509sha1_events_total",
 			"go_godebug_non_default_behavior_x509usefallbackroots_events_total",
 			"go_godebug_non_default_behavior_zipinsecurepath_events_total",
+			"go_godebug_non_default_behavior_tlsmaxrsasize_events_total",
 		},
 		"SUMMARY": {
 			"go_gc_duration_seconds",
